#include "gpio_out_led.h"

void gpio_led_init(void)    /*Pb0 initialization*/
{
    gpio_init_typedef gpio_init_structure;

    gpio_init_structure.gpio_pin = GPIO_PIN_0;
    gpio_init_structure.gpio_dir = GPIO_DIR_OUTPUT;
    gpio_init_structure.gpio_fen = GPIO_FEN_GPIO;
    gpio_init_structure.gpio_mode = GPIO_MODE_DIGITAL;
    gpio_init_structure.gpio_drv = GPIO_DRV_8MA;

    gpio_init(GPIOE_REG, &gpio_init_structure);
}

/*LED flashing*/
void LED_Twinkle()
{
//    gpio_set_bits(GPIOE_REG,GPIO_PIN_0);
    gpio_writebit(GPIOE_REG,GPIO_PIN_0,0);
    delay_ms(500);
//    gpio_reset_bits(GPIOE_REG,GPIO_PIN_0);
    gpio_writebit(GPIOE_REG,GPIO_PIN_0,1);

    delay_ms(500);
}
